set(EDITOR_SOURCES
    EditorPanel.cpp
    EditorPanel.h
    CodeEditor.cpp
    CodeEditor.h
    LineNumberArea.cpp
    LineNumberArea.h
    EditorTab.cpp
    EditorTab.h
    SearchPanel.cpp
    SearchPanel.h
    FileSearchPanel.cpp
    FileSearchPanel.h
    ColorIndicator.cpp
    ColorIndicator.h
)

add_library(BareCode_Editor STATIC ${EDITOR_SOURCES})

target_link_libraries(BareCode_Editor PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
    Qt6::Concurrent
    BareCode_Highlighter
)

target_include_directories(BareCode_Editor PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/..
)
